## faad2 2.7

=== debian/changelog ===
faad2 (2.7-8) unstable; urgency=low

  [ Fabian Greffrath ]
  * debian/patches/path_max.patch:
    + Dynamically allocate file name buffers,
      instead of relying on PATH_MAX.
  * Set appropriate symbol visibility attributes.
  * Rebuild autofoo with dh-autoreconf.
  * Add debian/libfaad2.symbols file.
  * Multi-Archify.
  * Remove redundant license blurb from debian/copyright.
  * libmp4ff ist not packaged, so do not install it either.
  * Simplify debian/*.install accordingly.

  [ Andres Mejia ]
  * Make dev package multiarch installable.
  * Bump to Standards-Version 3.9.3.

 -- Andres Mejia <amejia@debian.org>  Sun, 18 Mar 2012 09:07:55 -0400

faad2 (2.7-7) unstable; urgency=low

  [ Andres Mejia ]
  * Update to my @debian.org email.
  * Update gbp.conf.
  
  [ Reinhard Tartler ]
  * Update Vcs-Browser field
  * bump standards version (no changes needed)

  [ Fabian Greffrath ]
  * Convert to 3.0 (quilt) source format.
  * Re-enable two patches that got lost in the 2.7-6 upload:
    - debian/patches/bpa-stdin.patch
      + Apply SqueezeCenter patches from FreeBSD that enable streaming with
        BBCiPlayer and ezstream (LP: #470562).
    - debian/patches/path_max.patch
      + Extend file name buffers for longer path names (LP: #475050).
  * Merge patch from 2.7-6ubuntu1:
    - debian/patches/fix_ftbfs_with_gcc4.5.patch
      + Correctly declare lrintf in libfaad/common.h to avoid a conflict of
        declaration in mathcalls.h to fix FTBFS on i386
  * Improve debian/copyright.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Wed, 03 Aug 2011 14:19:49 +0200

faad2 (2.7-6) unstable; urgency=high

  [ Alessio Treglia ]
  * Fix segmentation fault in faad due to an incorrect pointer size
    (Closes: #603807, LP: #665802).
  * Add gbp config file.

  [ Andres Mejia ]
  * Revert changes in 2.7-5. Upload of 2.7-5 was unintentionally done.
  * Refresh patches.

 -- Andres Mejia <mcitadel@gmail.com>  Mon, 22 Nov 2010 19:17:36 -0500

faad2 (2.7-5) unstable; urgency=low

  * Update my e-mail address.
  * Apply SqueezeCenter patches from FreeBSD that enable streaming with
    BBCiPlayer and ezstream (LP: #470562).
  * Extend file name buffers for longer path names (LP: #475050).

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Mon, 16 Aug 2010 16:43:14 +0200

faad2 (2.7-4) unstable; urgency=low

  * debian/control: Do not build the shared libmp4ff library packages
    anymore (Closes: #550679). The use of mp4ff from faad2 is discouraged
    by upstream, see <http://xbmc.org/trac/ticket/6882#comment:15>.
  * Removed debian/patches/force-include-stdint_h.patch.
  * Removed debian/patches/libmp4ff-shared-lib.patch.
  * Removed debian/patches/70_automake-1.9.patch.
  * Added debian/README.source.
  * Bumped Standards-Version to 3.8.3.
  * Raised Build-Depends to debhelper (>= 7.0.50~), thanks lintian.
  * Removed debian/libmp4ff-dev.install and debian/libmp4ff0.install.
  * Removed libmp4ff0 from Depends for faad2-dbg.

 -- Fabian Greffrath <fabian@debian-unofficial.org>  Mon, 26 Oct 2009 12:04:41 +0100

faad2 (2.7-3) UNRELEASED; urgency=low

  * debian/patches/force-include-stdint_h.patch: New patch to force
    inclusion of stdint.h (Closes: #550679).

 -- Fabian Greffrath <fabian@debian-unofficial.org>  Thu, 15 Oct 2009 18:00:41 +0200

faad2 (2.7-2) unstable; urgency=low

  * upload to unstable.

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 16 Sep 2009 21:07:45 +0200

faad2 (2.7-1) experimental; urgency=low

  [ Andres Mejia ]
  * New upstream release. (Closes: #515072)
  * Verified all patches are either applied upstream, or a different
    implementation is used.
    + (Closes: #505901)
    + (Closes: #503657)
  * Switch to quilt.
  * Add -DPIC for CFLAGS.
  * Don't include dpatch.make in debian/rules.
  * Update watch file to default DEHS would use.
  * Bump to using debhelper 7.
  * Use quilt (>= 0.46-7).
  * Update control file.
  * Add DM-Upload-Allowed: yes field.
  * Don't include dummy package anymore.
  * Add in description for libfaad2 that it contains shared library.
  * Move libfaad-dev to the front to be 'default' package debhelper acts
    on.
  * Add ${misc:Depends} for all packages. Remove libc dev packages from
    Depends.
  * Add debug packages. (Closes: #516680)
  * Rewrite debian/rules to use new debhelper and quilt.
  * Rename <package>.files to <package>.install. Be more specific what
    to include in libfaad-dev. Also include .install files for other packages.
  * Add libmp4ff-dev package.
  * Don't include version for rename of libfaad package. Place all debug
    symbols  for binary packages in faad2-dbg.
  * Modify description for libmp4ff-dev.
  * Update address to FSF in debian/copyright.
  * Fix hyphen in manpage. Fixes lintian warning as well.
  * Patch faad2 to create a shared lib for libmp4ff. (Closes: #485373)
  * Allow to pass in more CFLAGS via DEB_CFLAGS.
  * Add in DRM (Digital Radio Mondiale) support.
  * Add Build-Depends of automake, autoconf, and autotools-dev.

  [ Fabian Greffrath ]
  * Add myself to Uploaders.
  * Clean up Build-Depends: libid3-dev was only needed for the obsolete
    XMMS plugin, autotools stuff shouldn't be needed at all.
  * Untagle library file names in the install rules.
  * Revert overriding of CFLAGS, dpkg-buildpackage will choose
    appripriate settings. Revert running the entire autoreconf sequence
    before calling ./configure. Build without DRM support, it has proven
    to break base functionality.
  * Clean up watch file.
  * Make faad2-dbg and libmp4ff-dev depend on libmp4ff0.
  * Improve short description for the libmp4ff\* packages.
  * debian/patches/70_automake-1.9.patch: New patch, run automake-1.9 to
    regenerate Makefile.in with the changes introduced by
    debian/patches/libmp4ff-shared-lib.patch.
  * Do not ship .la files in the development packages.
  * Add reasonable defaults to CFLAGS/CXXFLAGS.

 -- Fabian Greffrath <fabian@debian-unofficial.org>  Wed, 03 Jun 2009 11:02:00 +0200


