=== debian/watch ===
version=3
http://sf.net/faac/faad2-(.*)\.tar.gz
