=== debian/control ===
Source: faad2
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Matthew W. S. Bell <matthew@bells23.org.uk>,
 Reinhard Tartler <siretart@tauware.de>,
 Fabian Greffrath <fabian+debian@greffrath.com>
Standards-Version: 3.9.6
Build-Depends:
 debhelper (>= 9),
 dh-autoreconf
Homepage: http://www.audiocoding.com/
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/faad2.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-multimedia/faad2.git

Package: faad
Section: sound
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Conflicts:
 faad2
Replaces:
 faad2
Description: freeware Advanced Audio Decoder player
 FAAD2 is the fastest ISO AAC audio decoder available. FAAD2 correctly
 decodes all MPEG-4 and MPEG-2 MAIN, LOW, LTP, LD and ER object type AAC
 files.
 .
 This package contains a command line interface to play AAC or MP4 files.

Package: faad2-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends:
 libfaad2 (= ${binary:Version}),
 ${misc:Depends}
Description: freeware Advanced Audio Decoder - debugging symbols
 FAAD2 is the fastest ISO AAC audio decoder available. FAAD2 correctly
 decodes all MPEG-4 and MPEG-2 MAIN, LOW, LTP, LD and ER object type AAC
 files.
 .
 This package contains the debugging symbols for the shared library.

Package: libfaad-dev
Multi-Arch: same
Section: libdevel
Architecture: any
Depends:
 libfaad2 (= ${binary:Version}),
 ${misc:Depends}
Conflicts:
 libfaad2-dev
Replaces:
 libfaad2-dev
Description: freeware Advanced Audio Decoder - development files
 FAAD2 is the fastest ISO AAC audio decoder available. FAAD2 correctly
 decodes all MPEG-4 and MPEG-2 MAIN, LOW, LTP, LD and ER object type AAC
 files.
 .
 This package contains development files.

Package: libfaad2
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Conflicts:
 libfaad2-0
Replaces:
 libfaad2-0
Description: freeware Advanced Audio Decoder - runtime files
 FAAD2 is the fastest ISO AAC audio decoder available. FAAD2 correctly
 decodes all MPEG-4 and MPEG-2 MAIN, LOW, LTP, LD and ER object type AAC
 files.
 .
 This package contains the shared library and an extra
 library with support for Digital Radio Mondiale (DRM).
