## faad2 2.8.0~cvs20161113

=== debian/changelog ===
faad2 (2.8.0~cvs20161113-1+deb9u2) stretch-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * CVE-2018-20357, CVE-2018-20359, CVE-2018-20197, CVE-2018-20194,
    CVE-2018-19503, CVE-2018-20361: multiple memory corruption vulnerabilities
    caused by insufficiently sanitized frequency band borders.
  * CVE-2018-20358, CVE-2018-20362, CVE-2018-19504, CVE-2018-20195,
    CVE-2018-20198: multiple memory corruption vulnerabilities caused by syntax
    element inconsistencies (implicit channel mapping reconfiguration).
  * CVE-2019-15296: buffer overflow in faad_resetbits.
  * CVE-2018-19502: heap based buffer overfow in excluded_channels
    (libfaad/syntax.c) (Closes: #914641).

 -- Hugo Lefeuvre <hle@debian.org>  Fri, 06 Sep 2019 18:52:19 +0200

faad2 (2.8.0~cvs20161113-1+deb9u1) stretch; urgency=high

  * Non-maintainer upload.
  * Fix CVE-2017-9218, CVE-2017-9219, CVE-2017-9220, CVE-2017-9221,
    CVE-2017-9222, CVE-2017-9223, CVE-2017-9253, CVE-2017-9254, CVE-2017-9255,
    CVE-2017-9256, CVE-2017-9257.
    Various issues were discovered in faad2, a fast audio decoder, that could
    cause a denial of service (large loop and CPU consumption) via a crafted
    mp4 file. (Closes: #889915)

 -- Markus Koschany <apo@debian.org>  Tue, 01 May 2018 17:49:02 +0200

faad2 (2.8.0~cvs20161113-1) unstable; urgency=medium

  * New upstream CVS snapshot.
    + Fixes implicit SBR detection via AudioSpecificConfig
      on systems with unsigned char (Closes: #843173).
  * Change Uploaders field to use my Debian account.

 -- Fabian Greffrath <fabian@debian.org>  Sun, 13 Nov 2016 17:45:15 +0100
