=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: faad2
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Matthew W. S. Bell <matthew@bells23.org.uk>,
  Reinhard Tartler <siretart@tauware.de>,
- Fabian Greffrath <fabian+debian@greffrath.com>
+ Fabian Greffrath <fabian@debian.org>
 Standards-Version: 3.9.6
 Build-Depends:
  debhelper (>= 9),
