## faad2 2.8.1

=== debian/changelog ===
faad2 (2.8.1-2) unstable; urgency=medium

  * Set the FAAD2_VERSION macro back to the version string,
    thanks Adrian Bunk (Closes: #868854).
    + In the next upstream release this macro will read "unknown version"
      and an API will be provided to retrieve the actual library version
      at run-time.

 -- Fabian Greffrath <fabian@debian.org>  Wed, 02 Aug 2017 20:46:57 +0200

faad2 (2.8.1-1) unstable; urgency=medium

  * New upstream version 2.8.1.
    + Fixes multiple vulnerabilities: CVE-2017-9218,
      CVE-2017-9219, CVE-2017-9220, CVE-2017-9221,
      CVE-2017-9222, CVE-2017-9223, CVE-2017-9253,
      CVE-2017-9254, CVE-2017-9255, CVE-2017-9256,
      CVE-2017-9257 (Closes: #867724).
  * Update debian/watch file.
  * Refresh reproducible-build.patch.
  * Remove debian/README.source and debian/gbp.conf files, 
    they do not apply anymore.
  * Bump Standards-Version to 4.0.0.
  * Bump debhelper compat to 10.
  * Fix vcs-field-uses-insecure-uri lintian warnings.
  * Enable all hardening flags.
  * Update debian/copyright,
    refer to MPL-1.1 in common-licenses.
  * Drop obsolete faad2-dbg package.

 -- Fabian Greffrath <fabian@debian.org>  Mon, 17 Jul 2017 22:25:26 +0200
