=== debian/control ===
--- 
+++ 
@@ -6,13 +6,12 @@
  Matthew W. S. Bell <matthew@bells23.org.uk>,
  Reinhard Tartler <siretart@tauware.de>,
  Fabian Greffrath <fabian@debian.org>
-Standards-Version: 3.9.6
+Standards-Version: 4.0.0
 Build-Depends:
- debhelper (>= 9),
- dh-autoreconf
+ debhelper (>= 10~)
 Homepage: http://www.audiocoding.com/
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/faad2.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-multimedia/faad2.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/faad2.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/faad2.git/
 
 Package: faad
 Section: sound
@@ -30,21 +29,6 @@
  files.
  .
  This package contains a command line interface to play AAC or MP4 files.
-
-Package: faad2-dbg
-Architecture: any
-Multi-Arch: same
-Section: debug
-Priority: extra
-Depends:
- libfaad2 (= ${binary:Version}),
- ${misc:Depends}
-Description: freeware Advanced Audio Decoder - debugging symbols
- FAAD2 is the fastest ISO AAC audio decoder available. FAAD2 correctly
- decodes all MPEG-4 and MPEG-2 MAIN, LOW, LTP, LD and ER object type AAC
- files.
- .
- This package contains the debugging symbols for the shared library.
 
 Package: libfaad-dev
 Multi-Arch: same
