## faad2 2.8.8

=== debian/changelog ===
faad2 (2.8.8-1) unstable; urgency=medium

  * New upstream version 2.8.8

 -- Fabian Greffrath <fabian@debian.org>  Mon, 18 Dec 2017 21:28:02 +0100

faad2 (2.8.6-1) unstable; urgency=medium

  * New upstream version 2.8.6

 -- Fabian Greffrath <fabian@debian.org>  Mon, 06 Nov 2017 17:05:46 +0100

faad2 (2.8.5-1) unstable; urgency=medium

  * New upstream version 2.8.5
  * Remove faad2_version.patch, upstream has changed the
    FAAD2_VERSION macro to read 'unknown'.
  * Refresh reproducible-build.patch.
  * Add the NeAACDecGetVersion@Base symbol to the libfaad2.symbols file,
    this function is supposed to be used to get the FAAD2 library
    version at runtime.
  * Update debian/copyright for recently added or removed source files.
  * Bump Standards-Version to 4.1.0.

 -- Fabian Greffrath <fabian@debian.org>  Sat, 30 Sep 2017 14:29:31 +0200
