=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Matthew W. S. Bell <matthew@bells23.org.uk>,
  Reinhard Tartler <siretart@tauware.de>,
  Fabian Greffrath <fabian@debian.org>
-Standards-Version: 4.0.0
+Standards-Version: 4.1.0
 Build-Depends:
  debhelper (>= 10~)
 Homepage: http://www.audiocoding.com/
