=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,--no-undefined

%:
	dh $@

override_dh_strip:
	dh_strip --dbgsym-migration='faad2-dbg (<< 2.8.1-1~)'
