## faad2 2.8.8.2

=== debian/changelog ===
faad2 (2.8.8.2-1+security) unstable; urgency=medium

  * update

 -- Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>  Thu, 01 Apr 2021 21:31:36 +0800

faad2 (2.8.8.1-1+dde) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild

 -- liuyong <liuyong@deepin.com>  Fri, 03 Jul 2020 13:39:53 +0800

faad2 (2.8.8-3) unstable; urgency=high

  * Team upload.
  * debian/patches: Cherry-pick patch to fix buffer overflows from VLC.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 07 Jun 2019 20:07:34 +0200

faad2 (2.8.8-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one
  * d/control: Set Vcs-* to salsa.debian.org
  * d/changelog: Remove trailing whitespaces

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * d/watch: Use https protocol

  [ Fabian Greffrath ]
  * Backport two patches from upstream to fix CVE-2018-20194 and
    CVE-2018-20362, thanks Hugo Lefeuvre.

 -- Fabian Greffrath <fabian@debian.org>  Wed, 17 Apr 2019 11:50:29 +0200
