=== debian/watch ===
version=3
https://sf.net/faac/faad2-(\d\S+)\.tar.gz
