## faad2 2.9.1

=== debian/changelog ===
faad2 (2.9.1-1ubuntu0.1) focal-security; urgency=medium

  * SECURITY UPDATE: Arbitrary Code Execution
    - debian/patches/CVE-2021-32272.patch: fixed a buffer overflow in stszin
      function.
    - debian/patches/CVE-2021-32273.patch: fixed a buffer overflow in ftypin
      function.
    - debian/patches/CVE-2021-32274.patch: fixed two buffer overflows, one in
      sbr_qmf_synthesis_64 function (CVE-2021-32274) and the other one in 
      sbr_qmf_analysis_32 function (CVE-2021-32277).
    - debian/patches/CVE-2021-32278.patch: fixed a buffer overflow in 
      lt_prediction function.
    - debian/patches/CVE-2023-38857-[1-2].patch: fixed a buffer overflow in 
      stcoin function.
    - debian/patches/CVE-2023-38858.patch: fixed a buffer overflow in mp4info
      function
    - CVE-2021-32272
    - CVE-2021-32273
    - CVE-2021-32274
    - CVE-2021-32277
    - CVE-2021-32278 
    - CVE-2023-38857
    - CVE-2023-38858
  * SECURITY UPDATE: Denial of Service
    - debian/patches/CVE-2021-32276.patch: fixed a null pointer dereference in 
      get_sample function.
    - CVE-2021-32276 

 -- Amir Naseredini <amir.naseredini@canonical.com>  Tue, 22 Aug 2023 14:07:04 +0100

faad2 (2.9.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1

  [ Fabian Greffrath ]
  * New upstream version 2.9.1

 -- Fabian Greffrath <fabian@debian.org>  Mon, 04 Nov 2019 16:52:15 +0100

faad2 (2.9.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Fabian Greffrath ]
  * Ack NMUs, thanks Hugo!
  * Upstream moved to GitHub, adapt packaging accordingly.
  * New upstream version 2.9.0.
  * Remove all patches, applied upstream.
  * Build reproducibly.
  * Finish debug symbols package migration.
  * Bump debhelper-compat to 12.
  * Bump Standards-Version to 4.4.0.
  * Add Build-Depends-Package line to the symbols file.

 -- Fabian Greffrath <fabian@debian.org>  Wed, 11 Sep 2019 20:28:04 +0200

faad2 (2.8.8-3.2) unstable; urgency=high

  * Non-maintainer upload with maintainer's permission.
  * debian/patches/gcc-9.patch: Fix build with GCC-9 (thanks Gianfranco
    Costamagna for the patch) (Closes: #930363).

 -- Hugo Lefeuvre <hle@debian.org>  Sat, 31 Aug 2019 09:11:54 -0400

faad2 (2.8.8-3.1) unstable; urgency=medium

  * Non-maintainer upload with maintainer's permission.
  * CVE-2019-6956: Buffer over read in the function ps_mix_phase()
    (libfaad/ps_dec.c) (Closes: #914641).
  * CVE-2018-20196: Stack buffer overflow in the function calculate_gain
    (libfaad/sbr_hfadj.c).
  * CVE-2018-20199, CVE-2018-20360: NULL pointer dereference in the function
    ifilter_bank (libfaad/filtbank.c).

 -- Hugo Lefeuvre <hle@debian.org>  Tue, 27 Aug 2019 13:29:39 -0400
