=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: faad2
 Section: libs
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Matthew W. S. Bell <matthew@bells23.org.uk>,
  Reinhard Tartler <siretart@tauware.de>,
  Fabian Greffrath <fabian@debian.org>
-Standards-Version: 4.1.0
+Standards-Version: 4.4.1
 Build-Depends:
- debhelper (>= 10~)
-Homepage: http://www.audiocoding.com/
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/faad2.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/faad2.git/
+ debhelper-compat (= 12)
+Homepage: https://github.com/knik0/faad2
+Vcs-Git: https://salsa.debian.org/multimedia-team/faad2.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/faad2
 
 Package: faad
 Section: sound
