=== debian/watch ===
version=4
opts="uversionmangle=s/_/./g" \
https://github.com/knik0/faad2/releases \
/knik0/faad2/archive/(\d[_\d]*)@ARCHIVE_EXT@
