## faad2 2.9.2

=== debian/changelog ===
faad2 (2.9.2-1) unstable; urgency=medium

  * New upstream version 2.9.2
  * Install pkg-config file.
  * Rules-Requires-Root: no.

 -- Fabian Greffrath <fabian@debian.org>  Mon, 04 May 2020 22:05:34 +0200
