=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: faad2
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Matthew W. S. Bell <matthew@bells23.org.uk>,
  Reinhard Tartler <siretart@tauware.de>,
@@ -13,6 +12,7 @@
 Homepage: https://github.com/knik0/faad2
 Vcs-Git: https://salsa.debian.org/multimedia-team/faad2.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/faad2
+Rules-Requires-Root: no
 
 Package: faad
 Section: sound
