## faad2 2.10.0

=== debian/changelog ===
faad2 (2.10.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository, Repository-Browse.
  * Update standards version to 4.5.1, no changes needed.

  [ Fabian Greffrath ]
  * Fix debian/watch file.
  * Add post-release patch from upstream to reject buffers of zero
    size.
  * Bump Standards-Version to 4.6.0.

 -- Fabian Greffrath <fabian@debian.org>  Thu, 21 Oct 2021 12:46:57 +0200

faad2 (2.10.0-1) unstable; urgency=medium

  * New upstream version 2.10.0
  * Bump Standards-Version to 4.5.0.
  * Drop "-Wl,--as-needed" linker flag.
  * Bump debhelper-compat to 13.
  * Add "usr/lib/${DEB_HOST_MULTIARCH}/*.la" to debian/not-installed.

 -- Fabian Greffrath <fabian@debian.org>  Tue, 20 Oct 2020 21:45:18 +0200
