=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
  Matthew W. S. Bell <matthew@bells23.org.uk>,
  Reinhard Tartler <siretart@tauware.de>,
  Fabian Greffrath <fabian@debian.org>
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0
 Build-Depends:
- debhelper-compat (= 12)
+ debhelper-compat (= 13)
 Homepage: https://github.com/knik0/faad2
 Vcs-Git: https://salsa.debian.org/multimedia-team/faad2.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/faad2
