## faad2 2.10.1

=== debian/changelog ===
faad2 (2.10.1-1) unstable; urgency=medium

  * Fix debian/watch file.
  * New upstream version 2.10.1
  * Remove patches, applied upstream.
  * Update Debian packaging copyright.
  * Update faad.lintian-overrides file.

 -- Fabian Greffrath <fabian@debian.org>  Thu, 20 Oct 2022 22:15:02 +0200
