## faad2 2.11.1

=== debian/changelog ===
faad2 (2.11.1-1build1) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 19:49:18 +0200

faad2 (2.11.1-1) unstable; urgency=medium

  * Add fixed CVE ids to previous debian/changelog entry.
  * New upstream version 2.11.1
    + Check for lrintf() availability, link with -lm and define
      HAVE_LRINTF accordingly (Closes: #1055729).
  * Upstream installs the frontend manpage again, so do we.
  * Add "Build-Depends-Package: libfaad-dev" to libfaad_drm.so.2
    symbols.
  * Bump Standards-Version to 4.6.2.
  * Bump Debian packaging copyright to 2023.

 -- Fabian Greffrath <fabian@debian.org>  Tue, 14 Nov 2023 08:32:47 +0100

faad2 (2.11.0-1) unstable; urgency=medium

  * New upstream version 2.11.0
    + Fixes CVE-2023-38857, CVE-2023-38858 (Closes: #1050094, #1050095).
  * Add cmake to Build-Depends.
  * Build only shared libraries.
  * Build with -fvisibility=hidden.
  * Remove plugins/ directory from debian/copyright.

 -- Fabian Greffrath <fabian@debian.org>  Tue, 07 Nov 2023 10:10:20 +0100
