=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: faad2
 Section: libs
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Matthew W. S. Bell <matthew@bells23.org.uk>,
  Reinhard Tartler <siretart@tauware.de>,
  Fabian Greffrath <fabian@debian.org>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Build-Depends:
+ cmake,
  debhelper-compat (= 13)
 Homepage: https://github.com/knik0/faad2
 Vcs-Git: https://salsa.debian.org/multimedia-team/faad2.git
