=== debian/changelog ===
faad2 (2.11.2-1) unstable; urgency=medium

  * New upstream version 2.11.2
  * Bump Standards-Version to 4.7.2
  * Bump my Debian packaging copyright year

 -- Fabian Greffrath <fabian@debian.org>  Tue, 04 Mar 2025 09:54:43 +0100
