=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CPPFLAGS_MAINT_APPEND = \
	-DBUILD_DATE="\"$(shell date --utc --date=@${SOURCE_DATE_EPOCH} +%Y-%m-%d)\"" \
	-fvisibility=hidden

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DBUILD_SHARED_LIBS=ON
