=== debian/watch ===
version=4
https://github.com/knik0/faad2/tags \
https://github.com/knik0/faad2/archive/refs/tags/@ANY_VERSION@@ARCHIVE_EXT@
